[@rxap/material-table-system](../wiki/globals) / ExpandRowDirective

# Class: ExpandRowDirective\<Data\>

Defined in: [packages/angular/material/table-system/src/lib/expand-row/expand-row.directive.ts:14](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/expand-row/expand-row.directive.ts#L14)

## Type Parameters

• **Data** *extends* `Record`\<`string`, `any`\>

## Constructors

### new ExpandRowDirective()

> **new ExpandRowDirective**\<`Data`\>(`expandCell`): [`ExpandRowDirective`](../wiki/Class.ExpandRowDirective)\<`Data`\>

Defined in: [packages/angular/material/table-system/src/lib/expand-row/expand-row.directive.ts:24](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/expand-row/expand-row.directive.ts#L24)

#### Parameters

##### expandCell

[`ExpandRowService`](../wiki/Class.ExpandRowService)\<`Data`\>

#### Returns

[`ExpandRowDirective`](../wiki/Class.ExpandRowDirective)\<`Data`\>

## Properties

### element

> **element**: `Data`

Defined in: [packages/angular/material/table-system/src/lib/expand-row/expand-row.directive.ts:22](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/expand-row/expand-row.directive.ts#L22)

## Accessors

### isExpanded

#### Get Signature

> **get** **isExpanded**(): `boolean`

Defined in: [packages/angular/material/table-system/src/lib/expand-row/expand-row.directive.ts:17](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/expand-row/expand-row.directive.ts#L17)

##### Returns

`boolean`

## Methods

### onClick()

> **onClick**(): `void`

Defined in: [packages/angular/material/table-system/src/lib/expand-row/expand-row.directive.ts:31](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/expand-row/expand-row.directive.ts#L31)

#### Returns

`void`
